"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ActiveIndicator;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Indicator = _styledComponents.default.div.withConfig({
  displayName: "ActiveIndicator__Indicator",
  componentId: "sc-1182sod-0"
})(["min-height:0.75em;max-height:0.75em;min-width:0.75em;max-width:0.75em;border-radius:50%;background-color:", ";"], function (_ref) {
  var active = _ref.active,
      color = _ref.color;
  return active ? _constants.colors[color === 'default' ? 'primaryLight' : color] : _constants.colors.whiteBlue;
});
/**
 * Provides a visual representation of the status or state of an interface item.
 */


function ActiveIndicator(props) {
  return _react.default.createElement(Indicator, props);
}

ActiveIndicator.defaultProps = {
  active: false,
  color: 'default'
};