"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AllIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function AllIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: _constants.COLOR_PRIMARY_FILL,
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10,
    strokeWidth: '2px'
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 43.1 43"
  }, svgProps), _react.default.createElement("g", {
    id: "all-icon"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M7.8,10H3.2A2.22,2.22,0,0,1,1,7.8V3.2A2.22,2.22,0,0,1,3.2,1H7.9A2.2,2.2,0,0,1,10,3.2V7.9A2.2,2.2,0,0,1,7.8,10Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    d: "M23.8,10H19.1A2.2,2.2,0,0,1,17,7.8V3.2A2.22,2.22,0,0,1,19.2,1h4.7A2.2,2.2,0,0,1,26,3.2V7.9A2.2,2.2,0,0,1,23.8,10Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    d: "M39.8,10H35.1A2.2,2.2,0,0,1,33,7.8V3.2A2.22,2.22,0,0,1,35.2,1h4.7A2.2,2.2,0,0,1,42,3.2V7.9A2.2,2.2,0,0,1,39.8,10Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    d: "M7.8,26H3.2A2.22,2.22,0,0,1,1,23.8V19.1A2.2,2.2,0,0,1,3.2,17H7.9A2.2,2.2,0,0,1,10,19.2v4.7A2.2,2.2,0,0,1,7.8,26Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    d: "M23.8,26H19.1A2.2,2.2,0,0,1,17,23.8V19.1a2.22,2.22,0,0,1,2.2-2.2h4.7a2.22,2.22,0,0,1,2.2,2.2v4.7A2.38,2.38,0,0,1,23.8,26Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-6",
    "data-name": "path",
    d: "M39.8,26H35.1A2.2,2.2,0,0,1,33,23.8V19.1a2.22,2.22,0,0,1,2.2-2.2h4.7a2.22,2.22,0,0,1,2.2,2.2v4.7A2.38,2.38,0,0,1,39.8,26Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-7",
    "data-name": "path",
    d: "M7.8,42H3.2A2.22,2.22,0,0,1,1,39.8V35.1A2.2,2.2,0,0,1,3.2,33H7.9A2.2,2.2,0,0,1,10,35.2v4.7A2.2,2.2,0,0,1,7.8,42Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-8",
    "data-name": "path",
    d: "M23.8,42H19.1A2.2,2.2,0,0,1,17,39.8V35.1a2.22,2.22,0,0,1,2.2-2.2h4.7a2.22,2.22,0,0,1,2.2,2.2v4.7A2.38,2.38,0,0,1,23.8,42Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-9",
    "data-name": "path",
    d: "M39.8,42H35.1A2.2,2.2,0,0,1,33,39.8V35.1a2.22,2.22,0,0,1,2.2-2.2h4.7a2.22,2.22,0,0,1,2.2,2.2v4.7A2.38,2.38,0,0,1,39.8,42Z"
  }))));
}

AllIcon.defaultProps = {
  dark: false
};