"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ArrowLeftIcon;

var _react = _interopRequireDefault(require("react"));

var _arrowIconOptions = require("./arrowIconOptions");

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function ArrowLeftIcon(_ref) {
  var dark = _ref.dark,
      direction = _ref.direction,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "direction", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: 'round',
    strokeMiterlimit: 10
  };
  var _arrowIconOptions$dir = _arrowIconOptions.arrowIconOptions[direction],
      viewBox = _arrowIconOptions$dir.viewBox,
      transform = _arrowIconOptions$dir.transform,
      d = _arrowIconOptions$dir.d;
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: viewBox
  }, svgProps), _react.default.createElement("g", {
    id: "arrow-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    x1: "17",
    transform: transform.line
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    strokeLinejoin: "round",
    d: d
  }))));
}

ArrowLeftIcon.defaultProps = {
  dark: false,
  direction: 'left'
};