"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ArtIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function ArtIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 45.882 52.012"
  }, svgProps), _react.default.createElement("g", {
    id: "art-icon"
  }, _react.default.createElement("path", {
    id: "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    d: "M16.363,32.5h9.451L29.3,37.788H13.1Z",
    transform: "translate(1.515 3.943)"
  }), _react.default.createElement("rect", Object.assign({}, commonProps, {
    id: "rectangle",
    fill: _constants.COLOR_WHITE,
    strokeWidth: "2px",
    width: "39.381",
    height: "27.004",
    transform: "translate(3.25 1)"
  })), _react.default.createElement("path", {
    id: "path-2",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    d: "M21.063,26.7l4.388,6.526H16Z",
    transform: "translate(1.878 3.217)"
  }), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    fill: "none",
    strokeWidth: "2px",
    x2: "43.882",
    transform: "translate(1 28.004)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    fill: "none",
    strokeWidth: "2px",
    "data-name": "line",
    x1: "15.19",
    y2: "21.941",
    transform: "translate(7.864 28.679)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-3",
    fill: "none",
    strokeWidth: "2px",
    "data-name": "line",
    x2: "15.19",
    y2: "21.941",
    transform: "translate(22.716 28.679)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-4",
    "data-name": "line",
    fill: "none",
    x2: "18.003",
    transform: "translate(13.94 42.069)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-5",
    "data-name": "line",
    fill: "none",
    x2: "11.252",
    transform: "translate(17.315 36.443)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    fill: "none",
    d: "M3.3,17.1",
    transform: "translate(0.288 2.015)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    fill: "none",
    d: "M37.8,17",
    transform: "translate(4.606 2.003)"
  })), _react.default.createElement("path", {
    id: "path-5",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    d: "M41.631,17.3V26.08H3.6V17.866l2.588-.338,3.6.563a18.4,18.4,0,0,1,25.879,0Z",
    transform: "translate(0.325 1.474)"
  }), _react.default.createElement("path", {
    id: "path-6",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    d: "M27.127,13.763a5.963,5.963,0,0,0-11.927,0h.9l4.276-.563,3.376.113Z",
    transform: "translate(1.777 0.851)"
  }), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-7",
    "data-name": "path",
    fill: "none",
    d: "M9.1,18.091a18.4,18.4,0,0,1,25.879,0",
    transform: "translate(1.014 1.474)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-8",
    "data-name": "path",
    fill: "none",
    d: "M13.652,20.167A11.238,11.238,0,0,0,3.3,17.129",
    transform: "translate(0.288 1.987)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-9",
    "data-name": "path",
    fill: "none",
    d: "M38.889,17.017a11.155,11.155,0,0,0-9.789,3.15",
    transform: "translate(3.517 1.986)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-10",
    "data-name": "path",
    fill: "none",
    d: "M27.127,13.763a5.963,5.963,0,0,0-11.927,0",
    transform: "translate(1.777 0.851)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-11",
    "data-name": "path",
    fill: "none",
    d: "M41.631,16.8v8.776H3.6V17.363",
    transform: "translate(0.325 1.978)"
  }))));
}

ArtIcon.defaultProps = {
  dark: false
};