"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AttachmentIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function AttachmentIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 17.9 19.3"
  }, svgProps), _react.default.createElement("g", {
    id: "attachment-icon",
    transform: "translate(0.05 -0.05)"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M9.6,3.3,1.8,11.1a4.468,4.468,0,0,0,0,6.4h0a4.468,4.468,0,0,0,6.4,0L16,9.7"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    d: "M7.5,15.3l8.8-8.8a3.383,3.383,0,0,0,0-4.9h0a3.383,3.383,0,0,0-4.9,0L3.2,9.7"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    d: "M2.9,15"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    x1: "7.1",
    y2: "7.1",
    transform: "translate(3.9 4.7)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    d: "M3.9,11.8a2.416,2.416,0,0,0,0,3.5,2.5,2.5,0,0,0,3.5,0"
  }))));
}

AttachmentIcon.defaultProps = {
  dark: false
};