"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSize = getSize;
exports.calcSize = calcSize;
exports.default = Avatar;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _constants = require("../constants");

var _MentorIcon = _interopRequireDefault(require("../MentorIcon"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Returns the size of the avatar */
function getSize(_ref) {
  var size = _ref.theme.size;
  return size;
}
/** Calculates size of the avatar with an outline */


function calcSize(percent) {
  return function (_ref2) {
    var size = _ref2.theme.size;
    return size + size * percent;
  };
}

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "Avatar__Wrapper",
  componentId: "adbvsc-0"
})(["background-color:", ";width:", "em;height:", "em;border-radius:", "em;"], _constants.COLOR_WHITE, calcSize(0.2), calcSize(0.2), function (_ref3) {
  var size = _ref3.theme.size;
  return size * 0.1;
});

var Img = _styledComponents.default.img.withConfig({
  displayName: "Avatar__Img",
  componentId: "adbvsc-1"
})(["height:", "em;width:", "em;border-radius:", ";margin:", "em;"], getSize, getSize, function (_ref4) {
  var _ref4$theme = _ref4.theme,
      size = _ref4$theme.size,
      round = _ref4$theme.round;
  return round ? '50%' : "".concat(size * 0.1, "em");
}, function (_ref5) {
  var _ref5$theme = _ref5.theme,
      size = _ref5$theme.size,
      outlined = _ref5$theme.outlined,
      round = _ref5$theme.round;
  return outlined && !round ? size * 0.1 : 0;
});

var DefaultWrapper = (0, _styledComponents.default)(Wrapper).withConfig({
  displayName: "Avatar__DefaultWrapper",
  componentId: "adbvsc-2"
})(["background-color:", ";"], _constants.COLOR_WHITE_BLUE);
var StyledMentorIcon = (0, _styledComponents.default)(_MentorIcon.default).withConfig({
  displayName: "Avatar__StyledMentorIcon",
  componentId: "adbvsc-3"
})(["position:relative;left:50%;top:50%;transform:translate(-50%,-50%);&& path{stroke:", ";}"], _constants.COLOR_GRAY_BLUE);
/** Image avatars. */

function Avatar(_ref6) {
  var src = _ref6.src,
      alt = _ref6.alt,
      outlined = _ref6.outlined,
      size = _ref6.size,
      round = _ref6.round;
  var theme = {
    size: _constants.avatarSizes[size],
    outlined: outlined,
    round: round
  };
  return _react.default.createElement(_styledComponents.ThemeProvider, {
    theme: theme
  }, src ? outlined && !round ? _react.default.createElement(Wrapper, null, _react.default.createElement(Img, {
    src: src,
    alt: alt
  })) : _react.default.createElement(Img, {
    src: src,
    alt: alt
  }) : _react.default.createElement(DefaultWrapper, null, _react.default.createElement(StyledMentorIcon, null)));
}

Avatar.defaultProps = {
  alt: '',
  outlined: false,
  size: 'default',
  round: false
};