"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BottomBar;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "BottomBar__Wrapper",
  componentId: "sc-1ghdcrz-0"
})(["display:flex;justify-content:space-around;align-items:center;width:100%;overflow-x:auto;max-height:5.3125em;background:", ";@media (min-width:34em){justify-content:center;}"], _constants.COLOR_WHITE);
/**
 * Provides a list of action items that a user can click to navigate to another
 * part of the app or to do a task on the current page.
 */


function BottomBar(_ref) {
  var childrenProp = _ref.children,
      value = _ref.value,
      onChange = _ref.onChange;

  var children = _react.Children.map(childrenProp, function (child, i) {
    if (!(0, _react.isValidElement)(child)) {
      return null;
    }

    var childValue = child.props.value === undefined ? i : child.props.value;
    return (0, _react.cloneElement)(child, {
      selected: childValue === value,
      value: childValue,
      onChange: onChange
    });
  });

  return _react.default.createElement(Wrapper, null, children);
}