"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = BottomBarAction;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Action = _styledComponents.default.div.withConfig({
  displayName: "BottomBarAction__Action",
  componentId: "eaapxw-0"
})(["padding:0.875em 0.875em;cursor:pointer;color:", ";svg{width:1.15em;transition:color 0.2s ease-in-out;color:", ";}&:hover svg{color:", ";}@media (min-width:34em){padding:1.3125em 3em;svg{width:initial;}}@media (min-width:60em){padding:1.75em 3.5em;}"], _constants.COLOR_GRAY_BLUE, function (_ref) {
  var selected = _ref.selected;
  return selected ? _constants.COLOR_PRIMARY : 'inherit';
}, _constants.COLOR_PRIMARY_LIGHT);
/** An action item inside <BottomBar /> */


function BottomBarAction(_ref2) {
  var icon = _ref2.icon,
      selected = _ref2.selected,
      value = _ref2.value,
      onChange = _ref2.onChange;

  var handleOnClick = function handleOnClick(event) {
    if (onChange) {
      onChange(event, value);
    }
  };

  return _react.default.createElement(Action, {
    selected: selected,
    onClick: handleOnClick
  }, icon);
}