"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ChatBubble;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _Timestamp = _interopRequireDefault(require("../Timestamp"));

var _constants = require("../constants");

var _stringUtils = require("../utils/string-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "ChatBubble__Wrapper",
  componentId: "sc-15gboux-0"
})(["", ";border-radius:0.375em;padding:1em;position:relative;::after{content:'';height:0;border-top:0.421875rem solid transparent;border-bottom:0.421875rem solid transparent;", " position:absolute;top:0.83125rem;width:0;}"], function (_ref) {
  var variant = _ref.variant;

  switch (variant) {
    case 'secondary':
      return (0, _styledComponents.css)(["background:", ";color:", ";"], _constants.COLOR_WHITE_BLUE, _constants.COLOR_DARK);

    case 'default':
    default:
      return (0, _styledComponents.css)(["background:linear-gradient(to top right,#5574f7,#60c3ff);color:", ";"], _constants.COLOR_WHITE);
  }
}, function (_ref2) {
  var arrowSide = _ref2.arrowSide,
      variant = _ref2.variant;

  switch (arrowSide) {
    case 'left':
      return (0, _styledComponents.css)(["border-right:0.43rem solid ", ";left:-0.43rem;"], variant === 'secondary' ? _constants.COLOR_WHITE_BLUE : '#5a99fb');

    case 'right':
    default:
      return (0, _styledComponents.css)(["border-left:0.43rem solid ", ";right:-0.43rem;"], variant === 'secondary' ? _constants.COLOR_WHITE_BLUE : '#60c3ff');
  }
});

var Message = _styledComponents.default.p.withConfig({
  displayName: "ChatBubble__Message",
  componentId: "sc-15gboux-1"
})(["font-size:", ";font-weight:400;line-height:1.5;margin:0;"], (0, _stringUtils.styleLengths)(_constants.TYPE_FONT_SIZE_PARAGRAPH));

var MessageTimestamp = _styledComponents.default.div.withConfig({
  displayName: "ChatBubble__MessageTimestamp",
  componentId: "sc-15gboux-2"
})(["color:", ";font-size:", ";font-weight:400;padding:0.1875em;text-align:right;"], _constants.COLOR_GRAY_BLUE, (0, _stringUtils.styleLengths)(_constants.TYPE_FONT_SIZE_HEADING_6));
/**
 * Wraps a message text in a chat bubble with an indication as to which side it
 * was sent
 */


function ChatBubble(_ref3) {
  var children = _ref3.children,
      timestamp = _ref3.timestamp,
      wrapperProps = _objectWithoutProperties(_ref3, ["children", "timestamp"]);

  return _react.default.createElement(_react.Fragment, null, _react.default.createElement(Wrapper, wrapperProps, _react.default.createElement(Message, null, children)), timestamp && _react.default.createElement(MessageTimestamp, {
    title: timestamp.toString()
  }, _react.default.createElement(_Timestamp.default, {
    value: timestamp
  })));
}

ChatBubble.defaultProps = {
  arrowSide: 'right',
  variant: 'default'
};