"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ChevronIcon;

var _react = _interopRequireDefault(require("react"));

var _chevronIconOptions = require("./chevronIconOptions");

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function ChevronIcon(_ref) {
  var dark = _ref.dark,
      direction = _ref.direction,
      thick = _ref.thick,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "direction", "thick", "color"]);

  var _chevronIconOptions$d = _chevronIconOptions.chevronIconOptions[direction],
      viewBox = _chevronIconOptions$d.viewBox,
      transform = _chevronIconOptions$d.transform,
      d = _chevronIconOptions$d.d;
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: viewBox
  }, svgProps), _react.default.createElement("g", {
    id: "chevron-icon",
    transform: transform.group
  }, _react.default.createElement("path", {
    id: "chevron-icon-2",
    d: d,
    transform: transform.path,
    fill: "none",
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: 10,
    strokeWidth: thick ? 2 : undefined
  })));
}

ChevronIcon.defaultProps = {
  dark: false,
  direction: 'up',
  thick: false
};