"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Currency;

var _react = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

/** Produces the currency format of a value */
function Currency(_ref) {
  var value = _ref.value,
      locale = _ref.locale,
      code = _ref.code,
      whole = _ref.whole;
  var fmt = new Intl.NumberFormat(locale, {
    style: 'currency',
    currency: code,
    currencyDisplay: 'symbol',
    minimumFractionDigits: whole ? 0 : undefined,
    maximumFractionDigits: whole ? 0 : undefined
  });
  return _react.default.createElement(_react.Fragment, null, fmt.format(value));
}

Currency.defaultProps = {
  code: 'USD',
  locale: 'en-US',
  whole: false
};