"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DesignIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function DesignIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    stroke: _constants.COLOR_PRIMARY,
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 54 41.5"
  }, svgProps), _react.default.createElement("g", {
    id: "design-icon"
  }, _react.default.createElement("rect", {
    id: "rectangle",
    fill: _constants.COLOR_BLUE_GRAY,
    width: "52",
    height: "17",
    transform: "translate(1 1)"
  }), _react.default.createElement("path", {
    id: "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    d: "M31,22H23a2.006,2.006,0,0,0-2,2v9H33V24A2.006,2.006,0,0,0,31,22Z"
  }), _react.default.createElement("path", {
    id: "path-2",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    d: "M17,22H9a2.006,2.006,0,0,0-2,2v9H19V24A2.006,2.006,0,0,0,17,22Z"
  }), _react.default.createElement("path", {
    id: "path-3",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    d: "M45,22H37a2.006,2.006,0,0,0-2,2v9H47V24A2.006,2.006,0,0,0,45,22Z"
  }), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    fill: "none",
    strokeWidth: "2px",
    d: "M51,34H3a2.006,2.006,0,0,1-2-2V3A2.006,2.006,0,0,1,3,1H51a2.006,2.006,0,0,1,2,2V32A2.006,2.006,0,0,1,51,34Z"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    fill: "none",
    strokeWidth: "2px",
    strokeLinecap: "round",
    x2: "21",
    transform: "translate(17 12)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    x2: "18",
    transform: "translate(18.5 14.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    cx: "1.5",
    cy: "1.5",
    r: "1.5",
    transform: "translate(25.5 5.5)"
  })), _react.default.createElement("path", {
    id: "path-5",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    d: "M31,41H23a2.006,2.006,0,0,1-2-2V22a2.006,2.006,0,0,1,2-2h8a2.006,2.006,0,0,1,2,2V39A2.006,2.006,0,0,1,31,41Z"
  }), _react.default.createElement("rect", {
    id: "rectangle-2",
    "data-name": "rectangle",
    fill: _constants.COLOR_WHITE,
    width: "12",
    height: "4.6",
    transform: "translate(21 36.4)"
  }), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-6",
    "data-name": "path",
    fill: "none",
    d: "M31,41H23a2.006,2.006,0,0,1-2-2V22a2.006,2.006,0,0,1,2-2h8a2.006,2.006,0,0,1,2,2V39A2.006,2.006,0,0,1,31,41Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-7",
    "data-name": "path",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M26.6,21h2a.55.55,0,0,0,.5-.3l.5-.7H24.5l.5.7a.55.55,0,0,0,.5.3Z"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-3",
    "data-name": "line",
    fill: "none",
    strokeWidth: "2px",
    strokeLinecap: "round",
    x2: "6",
    transform: "translate(24 31)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-4",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    x2: "3",
    transform: "translate(25.5 33.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    cx: "1.5",
    cy: "1.5",
    r: "1.5",
    transform: "translate(25.5 24.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-5",
    "data-name": "line",
    fill: "none",
    strokeWidth: "2px",
    strokeLinecap: "round",
    x1: "2.2",
    y2: "2.2",
    transform: "translate(6.9 34.4)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-6",
    "data-name": "line",
    fill: "none",
    strokeWidth: "2px",
    strokeLinecap: "round",
    x2: "2.2",
    y2: "2.2",
    transform: "translate(44.9 34.4)"
  }))));
}

DesignIcon.defaultProps = {
  dark: false
};