"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DevelopmentIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function DevelopmentIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 50.877 38"
  }, svgProps), _react.default.createElement("g", {
    id: "development-icon",
    transform: "translate(0.018)"
  }, _react.default.createElement("rect", {
    id: "rectangle",
    fill: _constants.COLOR_BLUE_GRAY,
    width: "21",
    height: "25",
    transform: "translate(25.1 1)"
  }), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    fill: "none",
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M32.2,10.9l-2.8,2.8,2.8,2.9"
  })), _react.default.createElement("path", Object.assign({
    id: "path-2"
  }, commonProps, {
    "data-name": "path",
    fill: "none",
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M38.1,16.6l2.8-2.9-2.8-2.8"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    fill: "none",
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    x1: "1.9",
    y2: "7.2",
    transform: "translate(34.2 10.1)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    fill: "none",
    stroke: _constants.COLOR_PRIMARY,
    strokeWidth: "2px",
    d: "M46.2,26H4.2V2.9A1.967,1.967,0,0,1,6.1,1H44.3a1.9,1.9,0,0,1,1.9,1.9Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    stroke: _constants.COLOR_PRIMARY,
    strokeWidth: "2px",
    d: "M46.3,26H4.5L1.1,34.5A1.854,1.854,0,0,0,2.8,37H48a1.814,1.814,0,0,0,1.7-2.5Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M30,33.5H20.9a.846.846,0,0,1-.8-1l.7-2.4a.871.871,0,0,1,.8-.6h7.6a.76.76,0,0,1,.8.6l.7,2.4A.739.739,0,0,1,30,33.5Z"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "15",
    transform: "translate(7.7 4.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-3",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "12",
    transform: "translate(7.7 6.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-4",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "9",
    transform: "translate(7.7 8.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-5",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "13",
    transform: "translate(7.7 10.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-6",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "12",
    transform: "translate(7.7 12.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-7",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "15",
    transform: "translate(7.7 14.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-8",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "9",
    transform: "translate(7.7 16.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-9",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "13",
    transform: "translate(7.7 18.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-10",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "12",
    transform: "translate(7.7 20.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-11",
    "data-name": "line",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    stroke: _constants.COLOR_BLUE_GRAY,
    x2: "15",
    transform: "translate(7.7 22.5)"
  }))));
}

DevelopmentIcon.defaultProps = {
  dark: false
};