"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = EmailIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function EmailIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 20 15"
  }, svgProps), _react.default.createElement("g", {
    id: "email-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M18.5,14.5H1.5a.945.945,0,0,1-1-1V1.5a.945.945,0,0,1,1-1h17a.945.945,0,0,1,1,1v12A.945.945,0,0,1,18.5,14.5Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M.7,1.8,9.4,7.9a1.36,1.36,0,0,0,1.5,0l8.3-6.1"
  }))));
}

EmailIcon.defaultProps = {
  dark: false
};