"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FiltersIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function FiltersIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor')
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 17.175 18"
  }, svgProps), _react.default.createElement("g", {
    id: "filters-icon",
    transform: "translate(-30 -58)"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M-2,0H8.148",
    transform: "translate(32 60)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    d: "M0,0H4.026",
    transform: "translate(43.148 60)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    d: "M0,0H7.026",
    transform: "translate(40.148 67)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    d: "M-2,0H5.026",
    transform: "translate(32.148 67)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    d: "M-2,0H2",
    transform: "translate(32.148 74)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-6",
    "data-name": "path",
    d: "M0,0H10.026",
    transform: "translate(37.148 74)"
  })), _react.default.createElement("g", Object.assign({}, commonProps, {
    id: "ellipse",
    transform: "translate(39.648 58)"
  }), _react.default.createElement("circle", {
    stroke: "none",
    cx: "2",
    cy: "2",
    r: "2"
  }), _react.default.createElement("circle", {
    fill: "none",
    cx: "2",
    cy: "2",
    r: "1.5"
  })), _react.default.createElement("g", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    transform: "translate(36.648 65)"
  }), _react.default.createElement("circle", {
    stroke: "none",
    cx: "2",
    cy: "2",
    r: "2"
  }), _react.default.createElement("circle", {
    fill: "none",
    cx: "2",
    cy: "2",
    r: "1.5"
  })), _react.default.createElement("g", Object.assign({}, commonProps, {
    id: "ellipse-3",
    "data-name": "ellipse",
    transform: "translate(33.648 72)"
  }), _react.default.createElement("circle", {
    stroke: "none",
    cx: "2",
    cy: "2",
    r: "2"
  }), _react.default.createElement("circle", {
    fill: "none",
    cx: "2",
    cy: "2",
    r: "1.5"
  }))));
}

FiltersIcon.defaultProps = {
  dark: false
};