"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HappyFaceIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function HappyFaceIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 116.8 116.8"
  }, svgProps), _react.default.createElement("circle", {
    id: "Ellipse_448",
    "data-name": "Ellipse 448",
    fill: _constants.COLOR_PRIMARY_FILL,
    cx: "58.4",
    cy: "58.4",
    r: "58.4",
    transform: "translate(0 0)"
  }), _react.default.createElement("g", {
    id: "Group_1501",
    "data-name": "Group 1501"
  }, _react.default.createElement("path", {
    id: "Path_1229",
    "data-name": "Path 1229",
    fill: _constants.COLOR_PRIMARY,
    d: "M45.5,85.7A30.91,30.91,0,0,0,52,88.2a23.774,23.774,0,0,0,12.6-.1A36.7,36.7,0,0,0,71,85.6h.1a1.528,1.528,0,0,1,2.1.7,1.7,1.7,0,0,1,0,1.4A15.337,15.337,0,0,1,67,93.6a18.66,18.66,0,0,1-17.2,0,15.337,15.337,0,0,1-6.2-5.9,1.489,1.489,0,0,1,.6-2,1.467,1.467,0,0,1,1.3,0Z"
  })), _react.default.createElement("circle", {
    id: "Ellipse_449",
    "data-name": "Ellipse 449",
    fill: _constants.COLOR_PRIMARY,
    cx: "14",
    cy: "14",
    r: "14",
    transform: "translate(14.3 44.1)"
  }), _react.default.createElement("circle", {
    id: "Ellipse_450",
    "data-name": "Ellipse 450",
    fill: _constants.COLOR_BLUE_GRAY,
    opacity: 0.2,
    cx: "9.7",
    cy: "9.7",
    r: "9.7",
    transform: "translate(20.3 46.4)"
  }), _react.default.createElement("circle", {
    id: "Ellipse_451",
    "data-name": "Ellipse 451",
    fill: _constants.COLOR_WHITE,
    opacity: 0.9,
    cx: "3.4",
    cy: "3.4",
    r: "3.4",
    transform: "translate(29.9 49.7)"
  }), _react.default.createElement("circle", {
    id: "Ellipse_452",
    "data-name": "Ellipse 452",
    fill: _constants.COLOR_PRIMARY,
    cx: "14",
    cy: "14",
    r: "14",
    transform: "translate(74.6 44.1)"
  }), _react.default.createElement("circle", {
    id: "Ellipse_453",
    "data-name": "Ellipse 453",
    fill: _constants.COLOR_BLUE_GRAY,
    opacity: 0.2,
    cx: "9.7",
    cy: "9.7",
    r: "9.7",
    transform: "translate(80.5 46.4)"
  }), _react.default.createElement("circle", {
    id: "Ellipse_454",
    "data-name": "Ellipse 454",
    fill: _constants.COLOR_WHITE,
    opacity: 0.9,
    cx: "3.4",
    cy: "3.4",
    r: "3.4",
    transform: "translate(90.2 49.7)"
  }));
}

HappyFaceIcon.defaultProps = {
  dark: false
};