"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ListItemPerson;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

var _ActiveIndicator = _interopRequireDefault(require("../ActiveIndicator"));

var _Avatar = _interopRequireDefault(require("../Avatar"));

var _Typography = _interopRequireDefault(require("../Typography"));

var _ListItemMoreOptions = _interopRequireDefault(require("../common/ListItemMoreOptions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "ListItemPerson__Wrapper",
  componentId: "ko4pw1-0"
})(["background-color:", ";color:", ";display:flex;flex-direction:row;justify-content:space-around;align-items:center;min-height:6.28125em;width:100%;padding:0.9375em;@media (min-width:34em){padding:0 1.875em;}"], _constants.COLOR_WHITE, _constants.COLOR_DARK); // @TODO+ListItemPerson: Fix items being pushed and responsiveness


var Text = _styledComponents.default.div.withConfig({
  displayName: "ListItemPerson__Text",
  componentId: "ko4pw1-1"
})(["display:flex;flex:0.86;flex-shrink:1;flex-direction:column;"]);

var PrimaryText = _styledComponents.default.p.withConfig({
  displayName: "ListItemPerson__PrimaryText",
  componentId: "ko4pw1-2"
})(["font-weight:500;margin:0 0 0.5em 0;"]);
/** Displays an overview for a person */


function ListItemPerson(_ref) {
  var active = _ref.active,
      avatar = _ref.avatar,
      name = _ref.name,
      detail = _ref.detail,
      onClick = _ref.onClick,
      moreOptionsActions = _ref.moreOptionsActions;

  var _useState = (0, _react.useState)(false),
      _useState2 = _slicedToArray(_useState, 2),
      isMoreOptionsOpen = _useState2[0],
      setIsMoreOptionsOpen = _useState2[1];

  var handleMoreOptionsOnClick = function handleMoreOptionsOnClick() {
    return setIsMoreOptionsOpen(!isMoreOptionsOpen);
  };

  return _react.default.createElement(Wrapper, {
    onClick: onClick
  }, _react.default.createElement(_ActiveIndicator.default, {
    active: active,
    style: {
      flexShrink: 0
    }
  }), _react.default.createElement(_Avatar.default, {
    size: "smaller",
    src: avatar,
    style: {
      flexShrink: 0
    }
  }), _react.default.createElement(Text, null, _react.default.createElement(PrimaryText, null, name), _react.default.createElement(_Typography.default, null, detail)), _react.default.createElement(_ListItemMoreOptions.default, {
    actions: moreOptionsActions,
    isOpen: isMoreOptionsOpen,
    onClick: handleMoreOptionsOnClick
  }));
}

ListItemPerson.defaultProps = {
  active: false
};