"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MarketingIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function MarketingIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 51.2 51"
  }, svgProps), _react.default.createElement("g", {
    id: "marketing-icon"
  }, _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    fill: _constants.COLOR_BLUE_GRAY,
    stroke: _constants.COLOR_PRIMARY,
    strokeWidth: "2px",
    cx: "22",
    cy: "22",
    r: "22",
    transform: "translate(1 6)"
  })), _react.default.createElement("circle", {
    id: "ellipse-2",
    "data-name": "ellipse",
    fill: _constants.COLOR_WHITE,
    cx: "14.5",
    cy: "14.5",
    r: "14.5",
    transform: "translate(8.5 13.5)"
  }), _react.default.createElement("circle", {
    id: "ellipse-3",
    "data-name": "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    cx: "14.5",
    cy: "14.5",
    r: "14.5",
    transform: "translate(8.5 13.5)"
  }), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-4",
    "data-name": "ellipse",
    stroke: _constants.COLOR_PRIMARY,
    fill: "none",
    cx: "14.5",
    cy: "14.5",
    r: "14.5",
    transform: "translate(8.5 13.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-5",
    "data-name": "ellipse",
    fill: _constants.COLOR_WHITE,
    stroke: _constants.COLOR_PRIMARY,
    strokeWidth: "2px",
    cx: "7",
    cy: "7",
    r: "7",
    transform: "translate(16 21)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    fill: "none",
    stroke: _constants.COLOR_WHITE,
    strokeWidth: "3px",
    x1: "19.8",
    y2: "19.8",
    transform: "translate(22.9 8.8)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    stroke: _constants.COLOR_PRIMARY,
    fill: "none",
    d: "M46.7,8.8l-4.2.1V4.5"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    stroke: _constants.COLOR_PRIMARY,
    fill: "none",
    d: "M48.7,6.6l-4.2.1V2.5"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    stroke: _constants.COLOR_PRIMARY,
    fill: "none",
    d: "M50.7,4.5l-4.2.1V.5"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    stroke: _constants.COLOR_PRIMARY,
    fill: "none",
    d: "M22.9,28.6"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    "data-name": "line",
    stroke: _constants.COLOR_PRIMARY,
    fill: "none",
    x1: "19.8",
    y2: "19.8",
    transform: "translate(22.9 8.8)"
  }))));
}

MarketingIcon.defaultProps = {
  dark: false
};