"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MicrophoneIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function MicrophoneIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 11.8 19.9"
  }, svgProps), _react.default.createElement("g", {
    id: "microphone-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M5.9,13.3h0A3.543,3.543,0,0,1,2.4,9.8V4A3.543,3.543,0,0,1,5.9.5h0A3.543,3.543,0,0,1,9.4,4V9.8A3.418,3.418,0,0,1,5.9,13.3Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    d: "M.5,7.8v2a5.378,5.378,0,0,0,5.4,5.4h0a5.378,5.378,0,0,0,5.4-5.4v-2"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    y2: "4",
    transform: "translate(5.9 15.4)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    "data-name": "line",
    x1: "6",
    transform: "translate(2.9 19.4)"
  }))));
}

MicrophoneIcon.defaultProps = {
  dark: false
};