"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MusicIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function MusicIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 43 47.8"
  }, svgProps), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinejoin: "round",
    d: "M42.5,11.5l-29,6.6V13.5l29-6.6Z"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeWidth: "2px",
    strokeLinejoin: "round",
    cx: "6",
    cy: "6",
    r: "6",
    transform: "translate(1 34.8)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    fill: "none",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M13,40.8V7.6L42,1V34.8"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeWidth: "2px",
    strokeLinejoin: "round",
    d: "M42,8.1,13,14.7V7.8L42,1.2Z"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    fill: "none",
    d: "M6.7,37.7a3.116,3.116,0,0,1,3.1,3.1"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeWidth: "2px",
    strokeLinejoin: "round",
    cx: "6",
    cy: "6",
    r: "6",
    transform: "translate(30 28.8)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    fill: "none",
    d: "M35.7,31.7a3.116,3.116,0,0,1,3.1,3.1"
  })));
}

MusicIcon.defaultProps = {
  dark: false
};