"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = OptionsIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function OptionsIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor')
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 19 5"
  }, svgProps), _react.default.createElement("g", {
    id: "options-icon",
    transform: "translate(-326 -201)"
  }, _react.default.createElement("g", Object.assign({}, commonProps, {
    id: "ellipse",
    transform: "translate(326 201)"
  }), _react.default.createElement("circle", {
    stroke: "none",
    cx: "2.5",
    cy: "2.5",
    r: "2.5"
  }), _react.default.createElement("circle", {
    fill: "none",
    cx: "2.5",
    cy: "2.5",
    r: "2"
  })), _react.default.createElement("g", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    transform: "translate(333 201)"
  }), _react.default.createElement("circle", {
    stroke: "none",
    cx: "2.5",
    cy: "2.5",
    r: "2.5"
  }), _react.default.createElement("circle", {
    fill: "none",
    cx: "2.5",
    cy: "2.5",
    r: "2"
  })), _react.default.createElement("g", Object.assign({}, commonProps, {
    id: "ellipse-3",
    "data-name": "ellipse",
    transform: "translate(340 201)"
  }), _react.default.createElement("circle", {
    stroke: "none",
    cx: "2.5",
    cy: "2.5",
    r: "2.5"
  }), _react.default.createElement("circle", {
    fill: "none",
    cx: "2.5",
    cy: "2.5",
    r: "2"
  }))));
}

OptionsIcon.defaultProps = {
  dark: false
};