"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = PhotographyIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function PhotographyIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    stroke: _constants.COLOR_PRIMARY,
    strokeLinecap: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 47.347 35.839"
  }, svgProps), _react.default.createElement("path", {
    id: "path",
    fill: _constants.COLOR_BLUE_GRAY,
    d: "M40.543,5.834H33.775l-.967-3A2.787,2.787,0,0,0,30.2,1H17.146a2.58,2.58,0,0,0-2.514,1.837l-1.064,3H3.8A2.806,2.806,0,0,0,1,8.638v23.3a2.828,2.828,0,0,0,2.8,2.9H43.54a2.806,2.806,0,0,0,2.8-2.8v-20.3A5.839,5.839,0,0,0,40.543,5.834Z"
  }), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinejoin: "round",
    cx: "10.635",
    cy: "10.635",
    r: "10.635",
    transform: "translate(13.085 8.251)"
  })), _react.default.createElement("path", {
    id: "path-2",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY_FILL,
    d: "M13.085,6l-11.7.387L1,9.867l11.505-.58Z",
    transform: "translate(0 -0.166)"
  }), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    fill: _constants.COLOR_WHITE,
    strokeLinejoin: "round",
    strokeWidth: "2px",
    cx: "8.218",
    cy: "8.218",
    r: "8.218",
    transform: "translate(15.502 10.668)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-3",
    "data-name": "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinejoin: "round",
    cx: "1.45",
    cy: "1.45",
    r: "1.45",
    transform: "translate(38.223 11.152)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    fill: "none",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M13.569,6l-.387,1.257A3.511,3.511,0,0,1,9.8,9.867H1",
    transform: "translate(0 -0.166)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    fill: "none",
    d: "M24.9,13.9a5.405,5.405,0,0,1,5.414,5.414",
    transform: "translate(-0.793 -0.428)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    fill: "none",
    strokeLinejoin: "round",
    x2: "44.958",
    transform: "translate(1.483 32.422)"
  })), _react.default.createElement("rect", {
    id: "rectangle",
    fill: _constants.COLOR_PRIMARY_FILL,
    width: "43.701",
    height: "2.417",
    transform: "translate(1.967 32.422)"
  }), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    fill: "none",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M40.543,5.834H33.775l-.967-3A2.787,2.787,0,0,0,30.2,1H17.146a2.58,2.58,0,0,0-2.514,1.837l-1.064,3H3.8A2.806,2.806,0,0,0,1,8.638v23.3a2.828,2.828,0,0,0,2.8,2.9H43.54a2.806,2.806,0,0,0,2.8-2.8v-20.3A5.839,5.839,0,0,0,40.543,5.834Z"
  })));
}

PhotographyIcon.defaultProps = {
  dark: false
};