"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Pill;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../constants");

var _NewIcon = _interopRequireDefault(require("../NewIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "Pill__Wrapper",
  componentId: "sc-1rpzq4t-0"
})(["display:inline-block;font-size:", "px;font-weight:500;padding:", ";border-radius:0.375em;background-color:", ";color:", ";text-transform:uppercase;"], _constants.TYPE_FONT_SIZE_HEADING_6, function (_ref) {
  var add = _ref.add;
  return add ? '0.5em' : '0.5em 0.75em';
}, function (_ref2) {
  var color = _ref2.color;
  return _constants.colors[color];
}, _constants.COLOR_WHITE);

var AddIcon = (0, _styledComponents.default)(_NewIcon.default).attrs(function () {
  return {
    fontSize: "".concat(_constants.TYPE_FONT_SIZE_HEADING_6, "px")
  };
}).withConfig({
  displayName: "Pill__AddIcon",
  componentId: "sc-1rpzq4t-1"
})(["display:block;&& line{stroke:", ";}"], _constants.COLOR_WHITE);
/** Text inside a small container */

function Pill(_ref3) {
  var text = _ref3.text,
      color = _ref3.color,
      add = _ref3.add;
  return _react.default.createElement(Wrapper, {
    color: color,
    add: add
  }, add ? _react.default.createElement(AddIcon, null) : text);
}

Pill.defaultProps = {
  color: 'primary',
  add: false
};