"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = PreviewIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function PreviewIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 20 22.498"
  }, svgProps), _react.default.createElement("path", {
    id: "video-icon",
    fill: "none",
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: "round",
    strokeMiterlimit: 10,
    d: "M18.938,10.245,2.149.652a1.1,1.1,0,0,0-1.649.9V20.888a1.051,1.051,0,0,0,1.649.9l16.789-9.594A1.124,1.124,0,0,0,18.938,10.245Z",
    transform: "translate(0 0.02)"
  }));
}

PreviewIcon.defaultProps = {
  dark: false
};