"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ProgressBar;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _percentUtils = require("../utils/percent-utils");

var _stringUtils = require("../utils/string-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ProgressBarWrapper = _styledComponents.default.div.withConfig({
  displayName: "ProgressBar__ProgressBarWrapper",
  componentId: "sc-1ndiheq-0"
})(["border:solid 1px lightgray;width:", ";"], function (_ref) {
  var width = _ref.width;
  return (0, _stringUtils.styleLengths)(width);
});

var ProgressBarValue = _styledComponents.default.div.withConfig({
  displayName: "ProgressBar__ProgressBarValue",
  componentId: "sc-1ndiheq-1"
})(["width:", ";height:", ";background-color:", ";"], function (_ref2) {
  var percent = _ref2.percent,
      width = _ref2.width;
  return (0, _stringUtils.styleLengths)((0, _percentUtils.getWidthAsPercentOfTotalWidth)(percent, width));
}, function (_ref3) {
  var height = _ref3.height;
  return (0, _stringUtils.styleLengths)(height);
}, function (_ref4) {
  var percent = _ref4.percent;
  if (percent === 100) return 'green';
  return percent > 50 ? 'lightgreen' : 'red';
});
/** A custom progress bar. */


function ProgressBar(_ref5) {
  var width = _ref5.width,
      height = _ref5.height,
      percent = _ref5.percent;
  return _react.default.createElement(ProgressBarWrapper, {
    width: width
  }, _react.default.createElement(ProgressBarValue, {
    width: width,
    height: height,
    percent: percent
  }));
}

ProgressBar.defaultProps = {
  height: 5
};