"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Rating;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _StarIcon = _interopRequireDefault(require("../common/StarIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "Rating__Wrapper",
  componentId: "qr56do-0"
})(["display:flex;flex-direction:row;justify-content:space-between;max-width:5em;"]);

var ClickBox = _styledComponents.default.div.withConfig({
  displayName: "Rating__ClickBox",
  componentId: "qr56do-1"
})(["width:100%;cursor:", ";"], function (props) {
  return props.static ? 'default' : 'pointer';
});
/** Show a rating from 0 to 5 */


function Rating(_ref) {
  var initialValue = _ref.value,
      staticValue = _ref.static,
      color = _ref.color,
      onChange = _ref.onChange;

  var _useState = (0, _react.useState)(initialValue),
      _useState2 = _slicedToArray(_useState, 2),
      value = _useState2[0],
      setValue = _useState2[1];

  var _useState3 = (0, _react.useState)(NaN),
      _useState4 = _slicedToArray(_useState3, 2),
      tempValue = _useState4[0],
      setTempValue = _useState4[1];

  var maxValue = 5;

  var onStarClick = function onStarClick(v) {
    return function (event) {
      if (staticValue) {
        return;
      }

      if (onChange) {
        onChange(event, v);
      }

      setTempValue(v);
      setValue(v);
    };
  };

  var onStarMouseOver = function onStarMouseOver(v) {
    return function () {
      if (staticValue) {
        return;
      }

      setTempValue(value);
      setValue(v);
    };
  };

  var onStarMouseOut = function onStarMouseOut() {
    if (staticValue) {
      return;
    }

    setTempValue(NaN);
    setValue(tempValue);
  };

  return _react.default.createElement(Wrapper, null, Array.from({
    length: maxValue + 1
  }).map(function (_, i) {
    return i !== 0 ? _react.default.createElement(ClickBox, {
      key: "ratingstar".concat(i),
      static: staticValue,
      onClick: onStarClick(i),
      onMouseOver: onStarMouseOver(i),
      onMouseOut: onStarMouseOut
    }, _react.default.createElement(_StarIcon.default, {
      fontSize: "0.77875em",
      filled: i <= value,
      color: color
    })) : null;
  }));
}

Rating.defaultProps = {
  static: false,
  color: 'default'
};