"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RemoveMentorIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function RemoveMentorIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 23.7 23.5"
  }, svgProps), _react.default.createElement("g", {
    id: "remove-mentor-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("path", Object.assign({
    id: "path"
  }, commonProps, {
    d: "M5.5,13.6v3l-5,2.3"
  })), _react.default.createElement("path", Object.assign({
    id: "path-2",
    "data-name": "path"
  }, commonProps, {
    d: "M13.4,17.5"
  })), _react.default.createElement("path", Object.assign({
    id: "path-3",
    "data-name": "path"
  }, commonProps, {
    d: "M13.1,17.4"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    d: "M11.3,13.6v3l1.8.8"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    d: "M10.2,14.1a5.2,5.2,0,0,0,3.5-4.9V4.6A4.055,4.055,0,0,0,9.6.5H7.3A4.055,4.055,0,0,0,3.2,4.6V9.2a5.2,5.2,0,0,0,3.5,4.9"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    cx: "5",
    cy: "5",
    r: "5",
    transform: "translate(13.2 13)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    x1: "3.4",
    y2: "3.4",
    transform: "translate(16.5 16.3)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    "data-name": "line",
    x1: "3.4",
    y1: "3.4",
    transform: "translate(16.5 16.3)"
  }))));
}

RemoveMentorIcon.defaultProps = {
  dark: false
};