"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SadIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function SadIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 20 20"
  }, svgProps), _react.default.createElement("g", {
    id: "sad-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    fill: "none",
    cx: "9.5",
    cy: "9.5",
    r: "9.5",
    transform: "translate(0.5 0.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    fill: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    cx: "0.5",
    cy: "0.5",
    r: "0.5",
    transform: "translate(6.5 6.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-3",
    "data-name": "ellipse",
    fill: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    cx: "0.5",
    cy: "0.5",
    r: "0.5",
    transform: "translate(12.5 6.5)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    fill: "none",
    d: "M13.7,14.5a4.507,4.507,0,0,0-3.7-2,4.373,4.373,0,0,0-3.7,2"
  }))));
}

SadIcon.defaultProps = {
  dark: false
};