"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SignOutIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function SignOutIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeLinecap: 'round',
    strokeLinejoin: 'round',
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 21 20.9"
  }, svgProps), _react.default.createElement("g", {
    id: "sign-out-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M15.5,5.3,10.7.5,5.8,5.3"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    d: "M2.8,4.1A9.4,9.4,0,0,0,.5,10.4a10,10,0,0,0,20,0,9.4,9.4,0,0,0-2.3-6.3"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    y2: "11",
    transform: "translate(10.7 0.5)"
  }))));
}

SignOutIcon.defaultProps = {
  dark: false
};