"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Slider;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _constants = require("../constants");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var thumbStyle = (0, _styledComponents.css)(["appearance:none;background-color:", ";border:0.1em solid ", ";box-shadow:0px 0px 10px ", ";border-radius:50%;cursor:pointer;height:1.3125em;margin-top:-0.45em;width:1.3125em;"], _constants.COLOR_WHITE, _constants.COLOR_GRAY_BLUE, _constants.COLOR_SHADOW);
var trackStyle = (0, _styledComponents.css)(["appearance:none;border:none;border-radius:0.1em;cursor:default;height:0.325em;width:100%;"]);
var disabledStyle = (0, _styledComponents.css)(["background-color:", ";cursor:not-allowed;"], _constants.COLOR_WHITE_BLUE);

var Range = _styledComponents.default.input.attrs({
  type: 'range'
}).withConfig({
  displayName: "Slider__Range",
  componentId: "sc-1tdgdur-0"
})(["appearance:none;border:none;outline:none;vertical-align:middle;&::-webkit-slider-runnable-track{", " background-color:", ";color:", ";}&::-webkit-slider-thumb{", ";}&::-moz-range-thumb{", "}&::-moz-range-track{", " background-color:", ";}&::-moz-range-progress{background-color:", ";}&::-ms-fill-lower{background-color:", ";}&::-ms-fill-upper{background-color:", ";border:none;}&::-ms-thumb{", "}&::-ms-track{", " background-color:", ";}&[disabled]{", " &::-webkit-slider-runnable-track,&::-webkit-slider-thumb,&::-moz-range-thumb,&::-moz-range-track,&::-ms-thumb,&::-ms-track,{", "}&::-ms-fill-lower{background-color:", ";}}"], trackStyle, _constants.COLOR_WHITE_BLUE, _constants.COLOR_PRIMARY, thumbStyle, thumbStyle, trackStyle, _constants.COLOR_WHITE_BLUE, _constants.COLOR_PRIMARY, _constants.COLOR_PRIMARY, _constants.COLOR_WHITE_BLUE, thumbStyle, trackStyle, _constants.COLOR_WHITE_BLUE, disabledStyle, disabledStyle, _constants.COLOR_WHITE_BLUE);
/** Used for adjusting a value inside a range of numbers */


function Slider(_ref) {
  var fullWidth = _ref.fullWidth,
      inputRangeProps = _objectWithoutProperties(_ref, ["fullWidth"]);

  return _react.default.createElement(Range, inputRangeProps);
}

Slider.defaultProps = {
  fullWidth: false
};