"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = StreamIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function StreamIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 23 16.575"
  }, svgProps), _react.default.createElement("g", {
    id: "stream-icon",
    transform: "translate(0 -0.025)"
  }, _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    cx: "0.5",
    cy: "0.5",
    r: "0.5",
    transform: "translate(11 15.1)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    strokeLinecap: "round",
    d: "M6.9,12.4a6.58,6.58,0,0,1,9.2,0"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    strokeLinecap: "round",
    d: "M4.2,8.6a10.322,10.322,0,0,1,14.7,0"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    strokeLinecap: "round",
    d: "M.5,5.1a15.512,15.512,0,0,1,22,0"
  }))));
}

StreamIcon.defaultProps = {
  dark: false
};