"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SvgIcon;

var _react = _interopRequireDefault(require("react"));

var _stringUtils = require("../utils/string-utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** Renders SVG paths. */
function SvgIcon(_ref) {
  var fontSize = _ref.fontSize,
      viewBox = _ref.viewBox,
      children = _ref.children,
      svgProps = _objectWithoutProperties(_ref, ["fontSize", "viewBox", "children"]);

  return _react.default.createElement("svg", Object.assign({
    xmlns: "http://www.w3.org/2000/svg",
    color: "inherit",
    viewBox: viewBox,
    focusable: false,
    width: (0, _stringUtils.styleLengths)(fontSize),
    height: (0, _stringUtils.styleLengths)(fontSize)
  }, svgProps), children);
}

SvgIcon.defaultProps = {
  fontSize: 24,
  viewBox: '0 0 24 24'
};