"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TabletIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _iconUtils = require("../utils/icon-utils");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function TabletIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    fill: 'none',
    stroke: (0, _iconUtils.iconDark)(dark, _constants.COLOR_WHITE, color ? _constants.colors[color] : 'currentColor'),
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 17 22"
  }, svgProps), _react.default.createElement("g", {
    id: "tablet-icon",
    transform: "translate(0 0)"
  }, _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path",
    d: "M15.5,21.5H1.5a.945.945,0,0,1-1-1V1.5a.945.945,0,0,1,1-1h14a.945.945,0,0,1,1,1v19A.945.945,0,0,1,15.5,21.5Z"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    x2: "16",
    transform: "translate(1 4.5)"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line-2",
    "data-name": "line",
    strokeLinecap: "round",
    x2: "2",
    transform: "translate(7.5 2.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    cx: "0.5",
    cy: "0.5",
    r: "0.5",
    transform: "translate(8 18.5)"
  }))));
}

TabletIcon.defaultProps = {
  dark: false
};