"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _throttleDebounce = require("throttle-debounce");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

/** Utility component to limit long text to one-line */
var Truncate =
/*#__PURE__*/
function (_Component) {
  _inherits(Truncate, _Component);

  function Truncate() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Truncate);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Truncate)).call.apply(_getPrototypeOf2, [this].concat(args)));
    _this._componentRef = (0, _react.createRef)();
    _this._textRef = (0, _react.createRef)();
    _this._ellipsisRef = (0, _react.createRef)();
    _this.state = {
      truncating: true,
      truncatedString: null
    };

    _this.componentDidUpdate = function (_, prevState) {
      return _this.state.truncating === prevState.truncating && _this._resetTruncate();
    };

    _this._setComponentRef = function (element) {
      return _this._componentRef = element;
    };

    _this._setEllipsisRef = function (element) {
      return _this._ellipsisRef = element;
    };

    _this._setTextRef = function (element) {
      return _this._textRef = element;
    };

    _this._getTruncatedString = function () {
      var _this$props = _this.props,
          text = _this$props.children,
          ellipsis = _this$props.ellipsis;
      var componentWidth = _this._componentRef.offsetWidth;
      var textWidth = _this._textRef.offsetWidth;

      if (textWidth > componentWidth) {
        var position = Math.floor(text.length * componentWidth / textWidth) - ellipsis.length;
        var truncatedString = text.slice(0, position);
        return "".concat(truncatedString.trimRight()).concat(ellipsis);
      }

      return text;
    };

    _this._resetTruncate = (0, _throttleDebounce.debounce)(50, function () {
      _this.setState({
        truncating: true
      }, function () {
        var truncatedString = _this._getTruncatedString(_this.props.text);

        _this.setState({
          truncatedString: truncatedString,
          truncating: false
        });
      });
    });
    return _this;
  }

  _createClass(Truncate, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var truncatedString = this._getTruncatedString(this.props.children);

      this.setState({
        truncatedString: truncatedString,
        truncating: false
      });
      window.addEventListener('resize', this._resetTruncate);
    }
  }, {
    key: "componentWillMount",
    value: function componentWillMount() {
      window.removeEventListener('resize', this._resetTruncate);
    }
  }, {
    key: "render",
    value: function render() {
      var children = this.props.children;
      var _this$state = this.state,
          truncating = _this$state.truncating,
          truncatedString = _this$state.truncatedString;
      var componentStyles = {
        display: 'block',
        overflow: 'hidden',
        whiteSpace: 'nowrap'
      };
      return _react.default.createElement("div", {
        ref: this._setComponentRef,
        style: componentStyles
      }, truncating && _react.default.createElement("span", {
        ref: this._setTextRef
      }, children), truncating && _react.default.createElement("span", {
        ref: this._setEllipsisRef
      }, "..."), !truncating && truncatedString);
    }
  }]);

  return Truncate;
}(_react.Component);

exports.default = Truncate;
Truncate.defaultProps = {
  ellipsis: '...'
};