"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Typography;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _constants = require("../constants");

var _stringUtils = require("../utils/string-utils");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var pStyles = (0, _styledComponents.css)(["font-weight:400;"]);

var builder = function builder(variant) {
  return (0, _styledComponents.default)(variant).withConfig({
    displayName: "Typography",
    componentId: "sc-1dyak4-0"
  })(["color:inherit;margin:0 0 ", ";font-weight:500;font-size:", ";line-height:", ";", ""], function (_ref) {
    var gutterBottom = _ref.gutterBottom;
    return gutterBottom ? (0, _stringUtils.styleLengths)(_constants.lineHeights[variant] * 12) : 0;
  }, (0, _stringUtils.styleLengths)(_constants.fontSizes[variant]), _constants.lineHeights[variant], variant === 'p' && pStyles);
};
/** Styled text using pre-set type scales and sizes */


function Typography(_ref2) {
  var variant = _ref2.variant,
      children = _ref2.children,
      props = _objectWithoutProperties(_ref2, ["variant", "children"]);

  var Component = builder(variant);
  return _react.default.createElement(Component, props, children);
}

Typography.defaultProps = {
  variant: 'p',
  gutterBottom: false
};