"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = VideographyIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../constants");

var _SvgIcon = _interopRequireDefault(require("../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

/** See <SvgIcon /> for more prop descriptions. */
function VideographyIcon(_ref) {
  var dark = _ref.dark,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["dark", "color"]);

  var commonProps = {
    stroke: _constants.COLOR_PRIMARY,
    strokeMiterlimit: 10
  };
  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 58 45"
  }, svgProps), _react.default.createElement("g", {
    id: "videography-icon"
  }, _react.default.createElement("path", Object.assign({
    id: "path"
  }, commonProps, {
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M47.2,40.5H45.5v-20h1.7a2.263,2.263,0,0,1,2.3,2.3V38.2A2.263,2.263,0,0,1,47.2,40.5Z"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    cx: "1.5",
    cy: "1.5",
    r: "1.5",
    transform: "translate(36.5 22.5)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-2",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M41.8,44H8.2A4.225,4.225,0,0,1,4,39.8V20.2A4.225,4.225,0,0,1,8.2,16H41.9a4.225,4.225,0,0,1,4.2,4.2V39.9A4.366,4.366,0,0,1,41.8,44Z"
  })), _react.default.createElement("rect", Object.assign({}, commonProps, {
    id: "rectangle",
    fill: _constants.COLOR_PRIMARY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    width: "2",
    height: "17",
    transform: "translate(49.5 22.5)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-3",
    "data-name": "path",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M57,42H54.4A2.433,2.433,0,0,1,52,39.6V21.4A2.433,2.433,0,0,1,54.4,19H57Z"
  })), _react.default.createElement("rect", Object.assign({}, commonProps, {
    id: "rectangle-2",
    "data-name": "rectangle",
    fill: _constants.COLOR_WHITE,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    width: "22",
    height: "16",
    transform: "translate(10.1 22)"
  })), _react.default.createElement("rect", Object.assign({}, commonProps, {
    id: "rectangle-3",
    "data-name": "rectangle",
    fill: "none",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    width: "2",
    height: "3",
    transform: "translate(8.5 9.5) rotate(180)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-4",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M.5,11.5H4.6A1.9,1.9,0,0,0,6.5,9.6V6.4A1.9,1.9,0,0,0,4.6,4.5H.5Z"
  })), _react.default.createElement("rect", Object.assign({}, commonProps, {
    id: "rectangle-4",
    "data-name": "rectangle",
    fill: _constants.COLOR_PRIMARY,
    width: "21",
    height: "3",
    transform: "translate(7.5 6.5)"
  })), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-5",
    "data-name": "path",
    fill: "none",
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M33.2,5.3,31.4,3.1A5.45,5.45,0,0,0,27.1,1H22a5.6,5.6,0,0,0-4.3,2.1L7.1,16"
  })), _react.default.createElement("path", {
    id: "path-6",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY,
    d: "M9.9,16.6,8.3,15.4l7.3-8.8h2.5Z"
  }), _react.default.createElement("path", Object.assign({}, commonProps, {
    id: "path-7",
    "data-name": "path",
    fill: _constants.COLOR_PRIMARY,
    strokeLinejoin: "round",
    strokeWidth: "2px",
    d: "M31.2,11H48a2.946,2.946,0,0,0,3-3h0a2.946,2.946,0,0,0-3-3H31.2A2.22,2.22,0,0,0,29,7.2V8.8A2.22,2.22,0,0,0,31.2,11Z"
  })), _react.default.createElement("line", Object.assign({}, commonProps, {
    id: "line",
    fill: _constants.COLOR_BLUE_GRAY,
    strokeLinejoin: "round",
    y2: "7",
    transform: "translate(4.5 5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-2",
    "data-name": "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    cx: "1.5",
    cy: "1.5",
    r: "1.5",
    transform: "translate(37.6 21.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-3",
    "data-name": "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    cx: "1.5",
    cy: "1.5",
    r: "1.5",
    transform: "translate(37.6 28.5)"
  })), _react.default.createElement("circle", Object.assign({}, commonProps, {
    id: "ellipse-4",
    "data-name": "ellipse",
    fill: _constants.COLOR_PRIMARY_FILL,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    cx: "1.5",
    cy: "1.5",
    r: "1.5",
    transform: "translate(37.6 35.5)"
  }))));
}

VideographyIcon.defaultProps = {
  dark: false
};