"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ListItemMoreOptions;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _OptionsIcon = _interopRequireDefault(require("../../OptionsIcon"));

var _ListItemMoreOptionsAction = _interopRequireDefault(require("./ListItemMoreOptionsAction"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Wrapper = _styledComponents.default.div.withConfig({
  displayName: "ListItemMoreOptions__Wrapper",
  componentId: "sc-1akj5bh-0"
})(["cursor:pointer;visibility:", ";"], function (_ref) {
  var visible = _ref.visible;
  return visible ? 'visible' : 'hidden';
});
/** Toggles between hiding and showing more option actions */


function ListItemMoreOptions(_ref2) {
  var isOpen = _ref2.isOpen,
      actions = _ref2.actions,
      onClick = _ref2.onClick;
  return _react.default.createElement(Wrapper, {
    onClick: onClick,
    visible: actions.length > 0
  }, isOpen ? _react.default.createElement(_ListItemMoreOptionsAction.default, {
    actions: actions
  }) : _react.default.createElement(_OptionsIcon.default, null));
}

ListItemMoreOptions.defaultProps = {
  isOpen: false
};