"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ListItemMoreOptionsActionButton;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _constants = require("../../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ActionButton = _styledComponents.default.div.withConfig({
  displayName: "ListItemMoreOptionsActionButton__ActionButton",
  componentId: "sc-6yif50-0"
})(["background-color:", ";color:", ";padding:0.75em 1em;vertical-align:middle;&:first-child{border-top-left-radius:6px;border-bottom-left-radius:6px;}&:last-child{border-top-right-radius:6px;border-bottom-right-radius:6px;}"], function (_ref) {
  var color = _ref.color;
  return color === 'default' ? _constants.COLOR_PRIMARY_LIGHT : _constants.colors[color];
}, _constants.COLOR_WHITE);
/** Button group to show when more options icon is expanded */


function ListItemMoreOptionsActionButton(_ref2) {
  var onClick = _ref2.onClick,
      color = _ref2.color,
      label = _ref2.label,
      icon = _ref2.icon;

  var handleOnActionButtonClick = function handleOnActionButtonClick(onClick) {
    return function (event) {
      event.stopPropagation();
      onClick();
    };
  };

  return _react.default.createElement(ActionButton, {
    onClick: handleOnActionButtonClick(onClick),
    color: color,
    title: label
  }, icon);
}

ListItemMoreOptionsActionButton.defaultProps = {
  color: 'default'
};