"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = StarIcon;

var _react = _interopRequireDefault(require("react"));

var _constants = require("../../constants");

var _SvgIcon = _interopRequireDefault(require("../../SvgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var fill = {
  default: _constants.COLOR_PRIMARY_LIGHT,
  primary: _constants.COLOR_PRIMARY,
  secondary: _constants.COLOR_WHITE
};
var empty = {
  default: _constants.COLOR_WHITE_BLUE,
  secondary: _constants.COLOR_GRAY
};
/** See <SvgIcon /> for more prop descriptions. */

function StarIcon(_ref) {
  var filled = _ref.filled,
      color = _ref.color,
      svgProps = _objectWithoutProperties(_ref, ["filled", "color"]);

  return _react.default.createElement(_SvgIcon.default, Object.assign({
    viewBox: "0 0 13.067 12.462"
  }, svgProps), _react.default.createElement("path", {
    id: "path",
    fill: filled ? color ? fill[color] : 'currentColor' : empty[color],
    d: "M12.619,4.474H8.242L6.921.3a.415.415,0,0,0-.784,0L4.774,4.474H.4a.408.408,0,0,0-.248.743L3.7,7.777l-1.362,4.17a.4.4,0,0,0,.619.454l3.551-2.56,3.551,2.56a.4.4,0,0,0,.619-.454L9.316,7.777l3.551-2.56A.408.408,0,0,0,12.619,4.474Z",
    transform: "translate(0.026 -0.025)"
  }));
}

StarIcon.defaultProps = {
  filled: false
};