"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.type = exports.avatarSizes = exports.lineHeights = exports.fontSizes = exports.colors = exports.AVATAR_SIZE_DEFAULT = exports.AVATAR_SIZE_SMALL = exports.AVATAR_SIZE_SMALLER = exports.TYPE_LINE_HEIGHT_PARAGRAPH = exports.TYPE_LINE_HEIGHT_HEADING_6 = exports.TYPE_LINE_HEIGHT_HEADING_5 = exports.TYPE_LINE_HEIGHT_HEADING_4 = exports.TYPE_LINE_HEIGHT_HEADING_3 = exports.TYPE_LINE_HEIGHT_HEADING_2 = exports.TYPE_LINE_HEIGHT_HEADING_1 = exports.TYPE_FONT_SIZE_PARAGRAPH = exports.TYPE_FONT_SIZE_HEADING_6 = exports.TYPE_FONT_SIZE_HEADING_5 = exports.TYPE_FONT_SIZE_HEADING_4 = exports.TYPE_FONT_SIZE_HEADING_3 = exports.TYPE_FONT_SIZE_HEADING_2 = exports.TYPE_FONT_SIZE_HEADING_1 = exports.GRADIENT_PRIMARY = exports.COLOR_SHADOW = exports.COLOR_BLACK_ALPHA20 = exports.COLOR_GRAY = exports.COLOR_WHITE_ALPHA60 = exports.COLOR_WHITE = exports.COLOR_WHITE_BLUE = exports.COLOR_BLUE_GRAY = exports.COLOR_GRAY_BLUE = exports.COLOR_DARK = exports.COLOR_SECONDARY = exports.COLOR_WHITE_ALPHA30 = exports.COLOR_ERROR = exports.COLOR_PRIMARY_FILL = exports.COLOR_PRIMARY_LIGHT = exports.COLOR_PRIMARY = void 0;
var COLOR_PRIMARY = '#5887F9';
exports.COLOR_PRIMARY = COLOR_PRIMARY;
var COLOR_PRIMARY_LIGHT = '#60C3FF';
exports.COLOR_PRIMARY_LIGHT = COLOR_PRIMARY_LIGHT;
var COLOR_PRIMARY_FILL = '#dce9ff';
exports.COLOR_PRIMARY_FILL = COLOR_PRIMARY_FILL;
var COLOR_ERROR = '#FC5F6B';
exports.COLOR_ERROR = COLOR_ERROR;
var COLOR_WHITE_ALPHA30 = 'rgba(255, 255, 255, 0.3)';
exports.COLOR_WHITE_ALPHA30 = COLOR_WHITE_ALPHA30;
var COLOR_SECONDARY = COLOR_WHITE_ALPHA30;
exports.COLOR_SECONDARY = COLOR_SECONDARY;
var COLOR_DARK = '#4C5264';
exports.COLOR_DARK = COLOR_DARK;
var COLOR_GRAY_BLUE = '#BCC5D3';
exports.COLOR_GRAY_BLUE = COLOR_GRAY_BLUE;
var COLOR_BLUE_GRAY = '#b0caff';
exports.COLOR_BLUE_GRAY = COLOR_BLUE_GRAY;
var COLOR_WHITE_BLUE = '#E2E8ED';
exports.COLOR_WHITE_BLUE = COLOR_WHITE_BLUE;
var COLOR_WHITE = '#ffffff';
exports.COLOR_WHITE = COLOR_WHITE;
var COLOR_WHITE_ALPHA60 = 'rgba(255, 255, 255, 0.6)';
exports.COLOR_WHITE_ALPHA60 = COLOR_WHITE_ALPHA60;
var COLOR_GRAY = COLOR_WHITE_ALPHA60;
exports.COLOR_GRAY = COLOR_GRAY;
var COLOR_BLACK_ALPHA20 = 'rgba(0, 0, 0, 0.2)';
exports.COLOR_BLACK_ALPHA20 = COLOR_BLACK_ALPHA20;
var COLOR_SHADOW = COLOR_BLACK_ALPHA20;
exports.COLOR_SHADOW = COLOR_SHADOW;
var GRADIENT_PRIMARY = ['#5574f7', '#60C3FF'];
exports.GRADIENT_PRIMARY = GRADIENT_PRIMARY;
var TYPE_FONT_SIZE_HEADING_1 = 36;
exports.TYPE_FONT_SIZE_HEADING_1 = TYPE_FONT_SIZE_HEADING_1;
var TYPE_FONT_SIZE_HEADING_2 = 24;
exports.TYPE_FONT_SIZE_HEADING_2 = TYPE_FONT_SIZE_HEADING_2;
var TYPE_FONT_SIZE_HEADING_3 = 20;
exports.TYPE_FONT_SIZE_HEADING_3 = TYPE_FONT_SIZE_HEADING_3;
var TYPE_FONT_SIZE_HEADING_4 = 16;
exports.TYPE_FONT_SIZE_HEADING_4 = TYPE_FONT_SIZE_HEADING_4;
var TYPE_FONT_SIZE_HEADING_5 = 14;
exports.TYPE_FONT_SIZE_HEADING_5 = TYPE_FONT_SIZE_HEADING_5;
var TYPE_FONT_SIZE_HEADING_6 = 12;
exports.TYPE_FONT_SIZE_HEADING_6 = TYPE_FONT_SIZE_HEADING_6;
var TYPE_FONT_SIZE_PARAGRAPH = 14;
exports.TYPE_FONT_SIZE_PARAGRAPH = TYPE_FONT_SIZE_PARAGRAPH;
var TYPE_LINE_HEIGHT_HEADING_1 = 1.5;
exports.TYPE_LINE_HEIGHT_HEADING_1 = TYPE_LINE_HEIGHT_HEADING_1;
var TYPE_LINE_HEIGHT_HEADING_2 = 1.75;
exports.TYPE_LINE_HEIGHT_HEADING_2 = TYPE_LINE_HEIGHT_HEADING_2;
var TYPE_LINE_HEIGHT_HEADING_3 = 1.625;
exports.TYPE_LINE_HEIGHT_HEADING_3 = TYPE_LINE_HEIGHT_HEADING_3;
var TYPE_LINE_HEIGHT_HEADING_4 = 1.25;
exports.TYPE_LINE_HEIGHT_HEADING_4 = TYPE_LINE_HEIGHT_HEADING_4;
var TYPE_LINE_HEIGHT_HEADING_5 = 1.125;
exports.TYPE_LINE_HEIGHT_HEADING_5 = TYPE_LINE_HEIGHT_HEADING_5;
var TYPE_LINE_HEIGHT_HEADING_6 = 1;
exports.TYPE_LINE_HEIGHT_HEADING_6 = TYPE_LINE_HEIGHT_HEADING_6;
var TYPE_LINE_HEIGHT_PARAGRAPH = 1.25;
exports.TYPE_LINE_HEIGHT_PARAGRAPH = TYPE_LINE_HEIGHT_PARAGRAPH;
var AVATAR_SIZE_SMALLER = 2.5;
exports.AVATAR_SIZE_SMALLER = AVATAR_SIZE_SMALLER;
var AVATAR_SIZE_SMALL = 3.75;
exports.AVATAR_SIZE_SMALL = AVATAR_SIZE_SMALL;
var AVATAR_SIZE_DEFAULT = 6.25;
exports.AVATAR_SIZE_DEFAULT = AVATAR_SIZE_DEFAULT;
var colors = {
  primary: COLOR_PRIMARY,
  primaryLight: COLOR_PRIMARY_LIGHT,
  primaryFill: COLOR_PRIMARY_FILL,
  error: COLOR_ERROR,
  secondary: COLOR_SECONDARY,
  dark: COLOR_DARK,
  grayBlue: COLOR_GRAY_BLUE,
  whiteBlue: COLOR_WHITE_BLUE,
  white: COLOR_WHITE,
  gray: COLOR_GRAY
};
exports.colors = colors;
var fontSizes = {
  h1: TYPE_FONT_SIZE_HEADING_1,
  h2: TYPE_FONT_SIZE_HEADING_2,
  h3: TYPE_FONT_SIZE_HEADING_3,
  h4: TYPE_FONT_SIZE_HEADING_4,
  h5: TYPE_FONT_SIZE_HEADING_5,
  h6: TYPE_FONT_SIZE_HEADING_6,
  p: TYPE_FONT_SIZE_PARAGRAPH
};
exports.fontSizes = fontSizes;
var lineHeights = {
  h1: TYPE_LINE_HEIGHT_HEADING_1,
  h2: TYPE_LINE_HEIGHT_HEADING_2,
  h3: TYPE_LINE_HEIGHT_HEADING_3,
  h4: TYPE_LINE_HEIGHT_HEADING_4,
  h5: TYPE_LINE_HEIGHT_HEADING_5,
  h6: TYPE_LINE_HEIGHT_HEADING_6,
  p: TYPE_LINE_HEIGHT_PARAGRAPH
};
exports.lineHeights = lineHeights;
var avatarSizes = {
  smaller: AVATAR_SIZE_SMALLER,
  small: AVATAR_SIZE_SMALL,
  default: AVATAR_SIZE_DEFAULT
};
exports.avatarSizes = avatarSizes;
var type = {
  fontSizes: fontSizes,
  lineHeights: lineHeights
};
exports.type = type;
var _default = {
  colors: colors,
  type: type,
  avatarSizes: avatarSizes
};
exports.default = _default;