"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pluralize = pluralize;
exports.styleLengths = styleLengths;

var _numberUtils = require("./number-utils");

/** Returns the plural form of a word. */
function pluralize(word) {
  return "".concat(word, "s");
}
/** Returns a valid style length value. */


function styleLengths(length) {
  var unit = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'px';

  if (isNaN((0, _numberUtils.filterInt)(length))) {
    return length;
  }

  return "".concat(length).concat(unit);
}